
# Foundation

This project aims to provide replacement for Wikidot platform for SCP Foundation wiki sites. Our main goal is go migrate our own branch, SCP-RU, but we're bulding multitenant platform that will allow us to host other sites too.


## Stage I

Baseline application. Completed.


## Stage II

### Backend
- [ ] Vote model & import
    - int value
    - int user_id
    - int page_id
- [ ] Text model & import
    - text title
    - text content
    - created_at
    - int user_id
- [ ] Tag model & import
    - text title
    - text name
- [ ] Attachment model
    - created_at
    - text s3_path?
- [ ] User & WikidotUser merger

### UI
- [ ] Check out storybook. Do we need webpack?
    - This can be problematic since we're compiling server and ui ts files together
- [ ] Light theme
- [ ] Styleguide with existing elements

### Comments
Model, import, API and UI.

### Page triage
Page attributes, API and UI.


## Stage III

- [ ] Text editor
- [ ] Versioning API & UI
- [ ] Tags UI
- [ ] Votes UI
- [ ] User profiles


## Stage IV

- [ ] CSP setup
- [ ] Forum


## Stage V

Final migration and public release.


## Known issues

- Potentially unsafe regexp in Collapsible preprocessor
- Random page button on main page is not working
- We should not scroll page to the top on navigating back
